Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.spi
Class TimeZoneNameProvider

    java.lang.Object
      java.util.spi.LocaleServiceProvider
          java.util.spi.TimeZoneNameProvider

    public abstract class TimeZoneNameProvider

extends LocaleServiceProvider

An abstract class for service providers that provide localized time zone names for the `TimeZone` class. The localized time zone names available from the implementations of this class are also the source for the `DateFormatSymbols.getZoneStrings()` method.

Since:
  1.6

Constructor Summary
`protected` | `TimeZoneNameProvider()` Sole constructor.

Method Summary
`abstract String` | `getDisplayName(String ID, boolean daylight, int style, Locale locale)` Returns a name for the given time zone ID that's suitable for presentation to the user in the specified locale.

Methods inherited from class java.util.spi.LocaleServiceProvider
`getAvailableLocales`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneNameProvider

    protected TimeZoneNameProvider()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### getDisplayName

    public abstract String getDisplayName(String ID,
                                          boolean daylight,
                                          int style,
                                          Locale locale)

  Returns a name for the given time zone ID that's suitable for presentation to the user in the specified locale. The given time zone ID is "GMT" or one of the names defined using "Zone" entries in the "tz database", a public domain time zone database at ftp://elsie.nci.nih.gov/pub/. The data of this database is contained in a file whose name starts with "tzdata", and the specification of the data format is part of the zic.8 man page, which is contained in a file whose name starts with "tzcode".

  If `daylight` is true, the method should return a name appropriate for daylight saving time even if the specified time zone has not observed daylight saving time in the past.

  Parameters:
    `ID` - a time zone ID string
    `daylight` - if true, return the daylight saving name.
    `style` - either `TimeZone.LONG` or `TimeZone.SHORT`
    `locale` - the desired locale
  Returns:
    the human-readable name of the given time zone in the given locale, or null if it's not available.
  Throws:
    `IllegalArgumentException` - if `style` is invalid, or `locale` isn't one of the locales returned from `getAvailableLocales()`.
    `NullPointerException` - if `ID` or `locale` is null
  See Also:
    `TimeZone.getDisplayName(boolean, int, java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.